---
lang: en
title: 'API docs: tsdocs.runextractorformonorepo'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.tsdocs.runextractorformonorepo.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/tsdocs](./tsdocs.md) &gt; [runExtractorForMonorepo](./tsdocs.runextractorformonorepo.md)

## runExtractorForMonorepo() function

Run api-extractor for a lerna-managed monrepo

<b>Signature:</b>

```typescript
export declare function runExtractorForMonorepo(options?: ExtractorOptions): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | <code>ExtractorOptions</code> | Options for running api-extractor |

<b>Returns:</b>

`Promise<void>`

## Remarks

The function performs the following steps: 1. Discover packages with tsdocs from the monorepo 2. Iterate through each package to run `api-extractor`


